﻿namespace RecrownedAthenaeum.Tools.CommandProcessor.Commands
{
    internal class StopCommand : EngineCommand
    {
        CommandEngine commandEngine;

        public StopCommand(CommandEngine commandEngine) : base("quit", "stop", "q", "exit")
        {
            this.commandEngine = commandEngine;
            help = "Exits the tool.";
        }

        public override void Run(string[] arguments = null)
        {
            commandEngine.running = false;
        }
    }
}
