﻿namespace RecrownedAthenaeum.ContentSystem
{
    /// <summary>
    /// A resolver that does nothing. Used for looking in the root by default.
    /// </summary>
    public class NormalContentResolver : IContentPathResolver
    {
        /// <summary>
        /// Passes the path through without modification as this is the normal content resolver and is meant to just pass things on.
        /// </summary>
        /// <param name="contentPath">The path to modify.</param>
        /// <returns></returns>
        public string Modify(string contentPath)
        {
            return contentPath;
        }
    }
}
